Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(1083)

Issue 52095: [issue5915] PEP 383 implementation (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
13 years, 5 months ago by Martin v. Löwis
Modified:
12 years, 7 months ago
Reviewers:
Benjamin, Antoine Pitrou, report
Base URL:
http://svn.python.org/view/*checkout*/python/branches/py3k/
Visibility:
Public.

Patch Set 1 #

Total comments: 20

Patch Set 2 : r72272 #

Total comments: 6
Unified diffs Side-by-side diffs Delta from patch set Stats (+717 lines, -288 lines) Patch
M Doc/library/codecs.rst View 1 chunk +2 lines, -0 lines 0 comments Download
M Doc/library/os.rst View 3 chunks +23 lines, -10 lines 0 comments Download
M Include/unicodeobject.h View 4 chunks +29 lines, -19 lines 0 comments Download
M Lib/test/test_codecs.py View 2 chunks +29 lines, -0 lines 2 comments Download
M Lib/test/test_os.py View 3 chunks +38 lines, -1 line 2 comments Download
M Modules/_io/fileio.c View 1 chunk +1 line, -1 line 0 comments Download
M Modules/posixmodule.c View 1 84 chunks +314 lines, -205 lines 0 comments Download
M Modules/python.c View 2 chunks +89 lines, -24 lines 2 comments Download
M Objects/unicodeobject.c View 4 chunks +80 lines, -9 lines 0 comments Download
M Python/codecs.c View 1 3 chunks +89 lines, -0 lines 0 comments Download
M Python/pythonrun.c View 2 chunks +16 lines, -16 lines 0 comments Download
M configure View 2 chunks +3 lines, -2 lines 0 comments Download
M configure.in View 1 chunk +1 line, -1 line 0 comments Download
M pyconfig.h.in View 1 chunk +3 lines, -0 lines 0 comments Download

Messages

Total messages: 4
Benjamin
The calls to bytes2str are not checked in posixmodule.c. http://codereview.appspot.com/52095/diff/1/5 File Include/unicodeobject.h (right): http://codereview.appspot.com/52095/diff/1/5#newcode1254 Line ...
13 years, 5 months ago (2009-05-03 21:34:25 UTC) #1
Martin v. Löwis
Fixed in r72272 http://codereview.appspot.com/52095/diff/1/5 File Include/unicodeobject.h (right): http://codereview.appspot.com/52095/diff/1/5#newcode1254 Line 1254: The function is intended to ...
13 years, 5 months ago (2009-05-04 05:00:02 UTC) #2
Antoine Pitrou
A couple of really small things. http://codereview.appspot.com/52095/diff/30/1013 File Lib/test/test_codecs.py (right): http://codereview.appspot.com/52095/diff/30/1013#newcode1545 Line 1545: b"foo\xa5bar") You ...
13 years, 5 months ago (2009-05-04 12:25:42 UTC) #3
Martin v. Löwis
13 years, 5 months ago (2009-05-05 04:02:24 UTC) #4
Fixed in r72310

http://codereview.appspot.com/52095/diff/30/1013
File Lib/test/test_codecs.py (right):

http://codereview.appspot.com/52095/diff/30/1013#newcode1545
Line 1545: b"foo\xa5bar")
On 2009/05/04 12:25:43, Antoine Pitrou wrote:
> You decode with iso-8859-3 but encode with iso-8859-4. Is it intended?

No, fixed.

http://codereview.appspot.com/52095/diff/30/1014
File Lib/test/test_os.py (right):

http://codereview.appspot.com/52095/diff/30/1014#newcode704
Line 704: filenames = [b'foo\xf6bar', b'foo\xf6bar']
On 2009/05/04 12:25:43, Antoine Pitrou wrote:
> Is my sight bad, or is this twice the same filename?
> 

Oops, fixed.

http://codereview.appspot.com/52095/diff/30/1016
File Modules/python.c (right):

http://codereview.appspot.com/52095/diff/30/1016#newcode47
Line 47: /* Try conversion with mbsrtwocs (C99), and escape non-decodable bytes.
*/
On 2009/05/04 12:25:43, Antoine Pitrou wrote:
> Typo: s/mbsrtwocs/mbrtowc/

Done.
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f62528b